"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
var _svgs = require("./../svgs");
require("./GenericSection.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const GenericSection = _ref => {
  let {
    title,
    subtitle,
    children,
    more
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section-title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section-subtitle"
  }, subtitle), /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section-cards"
  }, children), /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section-know-more"
  }, more, /*#__PURE__*/_react.default.createElement("span", {
    className: "generic-section-know-more-arrow"
  }, /*#__PURE__*/_react.default.createElement(_svgs.ArrowRight, null))));
};
GenericSection.propTypes = {
  title: _propTypes.PropTypes.string,
  subtitle: _propTypes.PropTypes.string,
  children: _propTypes.PropTypes.array,
  more: _propTypes.PropTypes.string
};
GenericSection.defaultProps = {
  title: "GenericSection Title",
  subtitle: "GenericSection Subtitle",
  children: [/*#__PURE__*/_react.default.createElement("div", {
    key: "GenericSection"
  }, "GenericSection Children")],
  more: "Conoce más"
};
var _default = GenericSection;
exports.default = _default;