"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
require("./CoalitionButton.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionButton = _ref => {
  let {
    label,
    style,
    disabled,
    onClickEvent
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    className: "coalition-button",
    disabled: disabled,
    style: style,
    onClick: onClickEvent
  }, label);
};
CoalitionButton.propTypes = {
  label: _propTypes.PropTypes.string,
  style: _propTypes.PropTypes.object,
  disabled: _propTypes.PropTypes.bool,
  onClickEvent: _propTypes.PropTypes.func
};
CoalitionButton.defaultProps = {
  label: "Button Label",
  style: {},
  disabled: false,
  onClickEvent: e => console.log(["(Coalition Button) No submit function associated", e])
};
var _default = CoalitionButton;
exports.default = _default;