"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
var _utils = require("../utils");
require("./CoalitionCardPromotion.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionCardPromotion = _ref => {
  let {
    logo,
    product,
    price,
    title,
    expiracy
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-logo"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: logo,
    alt: "logo"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-product"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: product,
    alt: "product"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-bullet"
  }, price), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-expiracy"
  }, expiracy ? "V\xE1lido hasta: ".concat(expiracy) : "Permanente"));
};
CoalitionCardPromotion.propTypes = {
  logo: _propTypes.PropTypes.string,
  product: _propTypes.PropTypes.string,
  price: _propTypes.PropTypes.string,
  title: _propTypes.PropTypes.string,
  expiracy: _propTypes.PropTypes.string
};
const defLogo = (0, _utils.isPortable)() ? "30x30" : "40x40";
const defProd = (0, _utils.isPortable)() ? "138x80" : "200x100";
CoalitionCardPromotion.defaultProps = {
  logo: (0, _utils.generateImg)(defLogo, "L"),
  product: (0, _utils.generateImg)(defProd, "Product"),
  price: "N piezas x $M pesos",
  title: "Título de producto",
  expiracy: null
};
var _default = CoalitionCardPromotion;
exports.default = _default;